%define fixopt 1
%define notest 1 
%define app %{name}
Summary: Macaulay2 
Name: Macaulay2 
Version: 0.8.99
Release: 5 
Prefix: /usr/local
# Hackish for now
%define _prefix %{prefix}
Copyright: GPL 
Group: Applications/Engineering
Source0: http://www.math.uiuc.edu/Macaulay2/ftp-site/%{name}-%{version}-porting-src.tar.gz
Source1: http://www.math.uiuc.edu/Macaulay2/ftp-site/%{name}-%{version}-doc.tar.gz
#Source2: %{name}.desktop
#Source3: %{name}.xpm
Patch0: %{name}-%{version}-makefile.patch
Patch1: %{name}-%{version}-fixopt.patch
Patch2: %{name}-%{version}-notest.patch
Patch3: %{name}-%{version}-lextest.patch
URL: http://www.math.uiuc.edu/Macaulay2/
BuildRoot: %{_tmppath}/%{app}-root
Packager: Rex Dieter <rdieter@unl.edu>

%description
Macaulay2

%package doc 
Version: %{version}
Group: Documentation 
# Requires: %{name} = %{version}
Summary: Macaulay2 documentation 
 
%description doc
Macaulay2 documentation. 

%prep
%setup -q -c -n Macaulay2
%setup -q -T -D -a 1 -n Macaulay2

%patch0 -p1 -b .makefile
%{?fixopt:%patch1 -p1 -b .fixopt }
%{?notest:%patch2 -p1 -b .notest }
%patch3 -p1 -b .lextest

%build

%configure 
# CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_libdir}/%{app}  

make || echo "OK, so make failed... big deal... life (and rpm) goes on."

%install
rm -rf $RPM_BUILD_ROOT

#makeinstall
## Let's use the distribution tar.gz file created... skipping make install
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/%{app}
zcat	distributions/%{name}-%{version}*.tar.gz | \
	(cd ${RPM_BUILD_ROOT}%{_libdir}; tar xvf - )

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Macaulay2/README.txt
%doc Macaulay2/CHANGES 
%{_libdir}/%{app}
##{!?nodocs:%doc Macaulay2/html }

%files doc
%doc Macaulay2/html

%post
cd %{_libdir}/%{name}
./setup	&> /dev/null
# The dumped binary is more trouble than it's worth.
rm -f libexec/Macaulay2-*-data

# Find nearest bin directory
dirlist=%{_libdir}
while [ ! -d $dirlist/bin ] ; do
  dirlist=`echo $dirlist | sed 's|/[^/]*$||'`
done
binprefix=$dirlist
cd $binprefix/bin
ln -sf %{_libdir}/%{app}/bin/M2
#ln -sf %{_libdir}/%{app}/%{name}.desktop	/etc/X11/applnk/Applications/%{name}.desktop
#ln -sf %{_libdir}/%{app}/%{name}.desktop	/usr/share/applnk/Applications/%{name}.kdelnk 
#ln -sf %{_libdir}/%{app}/%{name}.xpm    	/usr/share/icons/%{name}.xpm


%preun
cd %{_libdir}/%{app}
rm -rf bin
rm -f libexec/Macaulay2-*-data

%postun
dirlist=%{_libdir}
while [ ! -d $dirlist/bin ] ; do
  dirlist=`echo $dirlist | sed 's|/[^/]*$||'`
done
binprefix=$dirlist
# Remove any leftover broken links
[ ! -f $binprefix/bin/M2 ] && rm -f $binprefix/bin/M2
[ ! -f /etc/X11/applnk/Applications/%{name}.desktop ] && \
	rm -f /etc/X11/applnk/Applications/%{name}.desktop
[ ! -f /usr/share/applnk/Applications/%{name}.kdelnk ] && \
	rm -f /usr/share/applnk/Applications/%{name}.kdelnk 
[ ! -f /usr/share/icons/%{name}.xpm ]                  && \
 	rm -f /usr/share/icons/%{name}.xpm
exit 0

%changelog
* Tue May 29 2001 Rex Dieter <rdieter@unl.edu> 0.8.99-5
- Make -doc subpackage.
- Use rpm macros: _prefix, _libdir instead of hand
  hardcoded /usr/local/lib
- undo dumped binary (library and kernel upgrades break
  it, so let's not do it by default).

* Tue Apr 10 2001 Rex Dieter <rdieter@unl.edu>, 0.8.99-4
- cleanup specfile
- rollout new release

* Thu Apr  4 2001 Rex Dieter <rdieter@unl.edu>, 0.8.99-3
- This is a development version.  wait for -4 for
  a more tested, reliable build
- Skip lex.m2 test  Why?
  1.  Dan apparently skips it, so why can't we? (-:
  2.  Usually dies with cpu time limit exceeded error anyway. 
  Now all platforms (waiting on ppc) pass all regression tests.

* Fri Jan 26 2001 Rex Dieter <rdieter@unl.edu>, 0.8.99-2
- attempt a true build from REAL source code. 
- include Macaulay2-doc.
- RH6 target built and passed all tests
- RH7 target built but did not pass all tests.

* Wed Jan 24 2001 Rex Dieter <rdieter@unl.edu>, 0.8.99-1
- update to 0.8.99

* Mon Jan 22 2001 Rex Dieter <rdieter@unl.edu>, 0.8.60-3
- %postun : fix errors
- %post : make ./setup step silent

* Wed Jan 17 2001 Rex Dieter <rdieter@unl.edu>, 0.8.60-2
- clean up spec file
- fixup uninstall script

* Fri Dec 1 2000 Rex Dieter <rdieter@unl.edu>, 0.8.60-1 
- relocations (should) now work (ie, --prefix=/usr/local)

* Mon Nov 27 2000 Rex Dieter <rdieter@unl.edu>, 0.8.60-0
- First attempt at rpm.

